Complexity:
Subject: Wrong nesting of deleted versioned child records
Description
Scenario/Actions:
    -  having an IRRE parent-child structure (live)
    -  backend, workspace selected
    -  delete a child-record and save
    -  the workspace module shows wrong nesting for deleted records

Reason:
The reference index points for the deleted element uses the live id, instead of the versioned id.

DataSet:
typo3/sysext/workspaces/Tests/Functional/DataHandling/IRRE/ForeignField/Modify/DataSet/modifyParentNDeleteHotelChild.csv
(sys_refindex not checked there)

Related issues:
related to Core - Task # 59874: Wrong sys_refindex for deleted child records Resolved 2014-06-25

Associated revisions
Revision b6c71b9c - 2014-08-13 16:27 - Oliver Hader

[BUGFIX] Wrong nesting of deleted versioned child records

If deleting an IRRE child reference, the nesting leving in the
workspace module is not shown correctly. The reason for that is,
that the sys_refindex entry points to the live id of the deleted
child record.

This change takes care of correct visualization only, but does not
touch the sys_refindex behavior in this case.

Resolves: #59853
Releases: master, 6.2
Change-Id: I09970d12ba10e528c150275952ec4c9ff8333a0a
Reviewed-on: http://review.typo3.org/31591
Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Tested-by: Oliver Hader <oliver.hader@typo3.org>

Revision ed5cc87b - 2014-08-13 16:28 - Oliver Hader
[BUGFIX] Wrong nesting of deleted versioned child records

If deleting an IRRE child reference, the nesting leving in the
workspace module is not shown correctly. The reason for that is,
that the sys_refindex entry points to the live id of the deleted
child record.

This change takes care of correct visualization only, but does not
touch the sys_refindex behavior in this case.

Resolves: #59853
Releases: master, 6.2
Change-Id: I09970d12ba10e528c150275952ec4c9ff8333a0a
Reviewed-on: http://review.typo3.org/32138
Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Tested-by: Oliver Hader <oliver.hader@typo3.org>

History
#1 - 2014-06-24 17:26 - Oliver Hader
- File 59853.png added

#2 - 2014-06-24 17:53 - Oliver Hader
- Status changed from New to Accepted

#3 - 2014-06-25 10:33 - Oliver Hader
- Subject changed from Wrong sys_refindex for deleted child records to Wrong nesting of deleted versioned child records

#4 - 2014-07-11 11:42 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31591

#5 - 2014-08-13 16:27 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31591

#6 - 2014-08-13 16:28 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32138

#7 - 2014-08-13 16:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:b6c71b9c2b6e4330755d852ecc45a0dba5c9e16d.

Files
59853.png 73.8 kB 2014-06-24 Oliver Hader
